import request from '@/utils/request'

// 查询5S管理列表
export function listWsgl(query) {
  return request({
    url: '/production/wsgl/list',
    method: 'get',
    params: query
  })
}

// 查询5S管理详细
export function getWsgl(id) {
  return request({
    url: '/production/wsgl/' + id,
    method: 'get'
  })
}

// 新增5S管理
export function addWsgl(data) {
  return request({
    url: '/production/wsgl',
    method: 'post',
    data: data
  })
}

// 修改5S管理
export function updateWsgl(data) {
  return request({
    url: '/production/wsgl',
    method: 'put',
    data: data
  })
}

// 删除5S管理
export function delWsgl(id) {
  return request({
    url: '/production/wsgl/' + id,
    method: 'delete'
  })
}

// 导出5S管理
export function exportWsgl(query) {
  return request({
    url: '/production/wsgl/export',
    method: 'get',
    params: query
  })
}
